---
id: api-customStyles
title: Customizing Styles
---
Pass a `styles` object to override the default inline styles.

```
import React from 'react'
import { SketchPicker } from 'react-color'

const sketchPickerStyles = {
  default: {
    picker: { // See the individual picker source for which keys to use
      boxShadow: 'none',
    },
  },
}

export default class Component extends React.Component {
  render() {
    return (
      <SketchPicker styles={sketchPickerStyles} />
    )
  }
}
```
